package cn.org.bjca.trust.push.message.callback

import cn.org.bjca.trust.push.enums.ConnAckReturnCode
import cn.org.bjca.trust.push.enums.OsType
import cn.org.bjca.trust.push.message.msg.Message
import cn.org.bjca.trust.push.message.msg.SendMessage

interface CallbackListener {
    // 发送消息完成
    fun sendComplete(msg: Message)

    // 发送消息失败
    fun sendError(code:String, msg: Message)

    // 消息到达
    fun messageArrived(msg: Message)

    // 连接成功
    fun connected()

    // 踢出消息
    fun connectionKicked(var1: OsType)

    // im连接失败
    fun connectError(var1: ConnAckReturnCode)

    // im连接丢失
    fun connectionLost()

    // 其它异常
    fun exceptionCause(var1: Throwable)
}